Bug 834146 - F17 Xorg Crash with message "EQ overflow continuing. 1000 events have been dropped."
F17 Xorg Crash with message "EQ overflow continuing. 1000 events have been d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 21:07 EDT by Dusty Mabe
Modified: 2013-08-01 09:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:37:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2012-06-20 21:07:39 EDT
Description of problem:

I experience a crash of my freshly installed F17 system a few times a
day. The bug seems to happen in Xorg as when this "crash" occurs I can
still ssh to my system and browse around, but I can not do anything
from the console (VGA) of the machine. I can't even switch to another
virtual terminal.



If I run strace on Xorg I get the following spewed out to the screen:

ioctl(8, 0x40086482, 0x7fff11ac3b00)    = ? ERESTARTSYS (To be
restarted if SA_RESTART is set)
--- SIGALRM {si_signo=SIGALRM, si_code=SI_KERNEL} ---
rt_sigreturn()                          = -1 EINTR (Interrupted system call)
ioctl(8, 0x40086482, 0x7fff11ac3b00)    = ? ERESTARTSYS (To be
restarted if SA_RESTART is set)
--- SIGALRM {si_signo=SIGALRM, si_code=SI_KERNEL} ---
rt_sigreturn()                          = -1 EINTR (Interrupted system call)
ioctl(8, 0x40086482, 0x7fff11ac3b00)    = ? ERESTARTSYS (To be
restarted if SA_RESTART is set)
--- SIGALRM {si_signo=SIGALRM, si_code=SI_KERNEL} ---
rt_sigreturn()


The Xorg log shows me this:

[  1673.019] [mi] EQ overflow continuing.  1000 events have been dropped.
[  1673.019] [mi] No further overflow reports will be reported until
the clog is cleared.
[  1673.019]
[  1673.020] Backtrace:
[  1673.020] 0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4650a6]
[  1673.020] 1: /usr/bin/Xorg (0x400000+0x48062) [0x448062]
[  1673.020] 2: /usr/lib64/xorg/modules/input/evdev_drv.so
(0x7fc6472be000+0x60e4) [0x7fc6472c40e4]
[  1673.020] 3: /usr/bin/Xorg (0x400000+0x80557) [0x480557]
[  1673.020] 4: /usr/bin/Xorg (0x400000+0xa4730) [0x4a4730]
[  1673.020] 5: /lib64/libpthread.so.0 (0x3937c00000+0xefe0) [0x3937c0efe0]
[  1673.021] 6: /lib64/libc.so.6 (ioctl+0x7) [0x39378ea617]
[  1673.021] 7: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x394fc03548]
[  1673.021] 8: /lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x394fc0577b]
[  1673.021] 9: /lib64/libdrm_nouveau.so.1 (0x7fc64a73c000+0x3085)
[0x7fc64a73f085]
[  1673.021] 10: /lib64/libdrm_nouveau.so.1
(nouveau_bo_map_range+0x103) [0x7fc64a73f6b3]
[  1673.021] 11: /usr/lib64/xorg/modules/drivers/nouveau_drv.so
(0x7fc64a942000+0x6768) [0x7fc64a948768]
[  1673.021] 12: /usr/lib64/xorg/modules/libexa.so
(0x7fc649cf0000+0x5a7b) [0x7fc649cf5a7b]
[  1673.021] 13: /usr/lib64/xorg/modules/libexa.so
(0x7fc649cf0000+0x7f30) [0x7fc649cf7f30]
[  1673.021] 14: /usr/lib64/xorg/modules/libexa.so
(0x7fc649cf0000+0x104e2) [0x7fc649d004e2]
[  1673.021] 15: /usr/lib64/xorg/modules/libexa.so
(0x7fc649cf0000+0x8bfe) [0x7fc649cf8bfe]
[  1673.022] 16: /usr/bin/Xorg (0x400000+0x1050f2) [0x5050f2]
[  1673.022] 17: /usr/bin/Xorg (0x400000+0x31053) [0x431053]
[  1673.022] 18: /usr/bin/Xorg (0x400000+0x3444a) [0x43444a]
[  1673.022] 19: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
[  1673.022] 20: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3937821735]
[  1673.023] 21: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
[  1673.023]


I have found a similar bug to this from Fedora 16:
https://bugzilla.redhat.com/show_bug.cgi?id=754674 . The bug i am
experiencing behaves very similarly.


I also found https://bugzilla.redhat.com/show_bug.cgi?id=753703 which
talks about the EQ overflowing.




Version-Release number of selected component (if applicable):

[root@macbook log]# uname -a
Linux macbook.raleigh 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3 06:35:17


[root@macbook log]# rpm -qa | grep -i xorg | sort
xorg-x11-drv-ast-0.93.9-6.fc17.x86_64
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
xorg-x11-drv-cirrus-1.3.2-19.fc17.x86_64
xorg-x11-drv-dummy-0.3.5-4.fc17.x86_64
xorg-x11-drv-evdev-2.7.0-2.fc17.x86_64
xorg-x11-drv-fbdev-0.4.2-8.fc17.x86_64
xorg-x11-drv-intel-2.19.0-1.fc17.x86_64
xorg-x11-drv-mga-1.4.13-19.20120104git9223c44a7.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-35.20120306gitf5d1cd2.fc17.x86_64
xorg-x11-drv-openchrome-0.2.906-1.fc17.x86_64
xorg-x11-drv-qxl-0.0.22-0.fc17.x86_64
xorg-x11-drv-synaptics-1.6.1-1.fc17.x86_64
xorg-x11-drv-vesa-2.3.0-15.fc17.x86_64
xorg-x11-drv-vmmouse-12.8.0-1.fc17.x86_64
xorg-x11-drv-vmware-12.0.2-1.fc17.x86_64
xorg-x11-drv-void-1.4.0-8.fc17.x86_64
xorg-x11-drv-wacom-0.14.0-2.fc17.x86_64
xorg-x11-font-utils-7.5-7.fc17.x86_64
xorg-x11-server-common-1.12.2-1.fc17.x86_64
xorg-x11-server-utils-7.5-12.fc17.x86_64
xorg-x11-server-Xephyr-1.12.2-1.fc17.x86_64
xorg-x11-server-Xorg-1.12.2-1.fc17.x86_64
xorg-x11-server-Xvfb-1.12.2-1.fc17.x86_64
xorg-x11-utils-7.5-6.fc17.x86_64
xorg-x11-xauth-1.0.7-1.fc17.x86_64
xorg-x11-xinit-1.3.2-5.fc17.x86_64
xorg-x11-xkb-utils-7.5-6.fc17.x86_64



How reproducible:

Happens every hour or so with no obvious stimulus. 


Steps to Reproduce:
Boot Fedora 17 on macbook 5,5. Use normal desktop environment. Notice after a period of time that X freezes but the system is still accessible via ssh. 
  
Actual results:
Xorg Freeze.


Expected results:
Normal Desktop operation without a freeze. 


Additional info:
Let me know if there is any additionaly info needed.
Comment 1 Fedora End Of Life 2013-07-04 00:27:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:37:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.